<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Home</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js"></script>
    <link rel="stylesheet" href="style.css">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/6.4.0/css/all.min.css">
    <style>
        #btn-login {
            padding: 18px;
            width: 100%;
            font-size: 18px;
        }
    </style>
</head>

<body>
    <header>
        <div class="d-flex justify-content-between">
            <div class="d-flex mt-5">
                <p class="mr-3 head-contact"><img src="./image/phone-call.png" width="30px" alt=""> Hotline: 1900 6789
                </p>
                <p class="head-contact head-map"><img src="./image/placeholder.png" width="30px" alt=""> Hệ Thống cửa
                    hàng</p>
            </div>
            <div>
                <img src="./image/logo6nobgpts2.png" class="" width="120px" alt="">

            </div>

            <div class=" mt-5">
                <input type="text" name="" placeholder="Tìm kiếm?" id="" class="inp-search-head">
                <button class="btn-primary btn-search"><img src="./image/search.png" alt=""></button>

                <img src="./image/bell.png" class="mx-3 img-bell-head" width="30px" alt="">
                <a href="./Login.html" class="img-user"> <img src="./image/user (1).png " class="mr-3" width="30px"
                        alt=""></a>

                <a href="./Cart.html" class="img-cart">
                    <img src="./image/shopping-bag.png " width="30px" alt="">

                </a>

            </div>
        </div>


    </header>
    <div class="content">
        <div class="d-flex d-login">
            <div>
                <img width="" class="img-fluid img-login" src="./image/VNU_M492_08 1 (1).jpeg" alt="">
            </div>
            <div class="div-login-reponsive">

                <label for=""><b>Nhập password</b></label>
                <input id="inp-pass" type="password" class="form-control my-3 p-4">
                <label for=""><b>Xác nhận password</b></label>
                <input id="inp-conform-pass" type="password" class="form-control my-3 p-4">
                <div>
                    <button id="btn-conform" class="btn btn-success form-control mt-3">Xác nhận</button>
                </div>




            </div>
        </div>
    </div>
    <footer>
        <div class="row row-footer">
            <div class="col-md-3 col-6 mt-5 mb-5">
                <p class="footer-title mb-4">PRODUCT</p>
                <p class="footer-text">Help center</p>
                <p class="footer-text">Contact Us</p>
                <p class="footer-text">Warranty</p>
                <p class="footer-text">Order Status</p>
            </div>
            <div class="col-md-3 col-6 mt-5">
                <p class="footer-title mb-4">SERVICE</p>
                <p class="footer-text">Help center</p>
                <p class="footer-text">Contact Us</p>
                <p class="footer-text">Warranty</p>
                <p class="footer-text">Order Status</p>
            </div>
            <div class="col-md-3 col-6 mt-5">
                <p class="footer-title mb-4">SUPPORT</p>
                <p class="footer-text">Help center</p>
                <p class="footer-text">Contact Us</p>
                <p class="footer-text">Warranty</p>
                <p class="footer-text">Order Status</p>
            </div>
            <div class="col-md-3 col-6 mt-5">
                <img src="./image/logo6nobgpts2.png" class="" width="120px" alt="">
                <div class="d-flex mt-5">
                    <i class="fab fa-facebook-square fa-lg mr-3"></i>
                    <i class="fab fa-twitter fa-lg mr-3"></i>
                    <i class="fab fa-instagram fa-lg mr-3"></i>
                    <i class="fab fa-youtube fa-lg"></i>

                </div>
            </div>
        </div>
    </footer>

</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    var urlParams = new URLSearchParams(window.location.search);
    var vEmail = urlParams.get('email');
    console.log(vEmail);
    $(document).ready(function () {

        $("#btn-conform").on("click", function () {
            var vPassword = $("#inp-pass").val();
            var vConformPass = $("#inp-conform-pass").val();
            if (vConformPass == vPassword) {
                onResetPassword();
            }
            else {
                alert("password không trùng khớp")
            }
        })

    })

    function onResetPassword() {
        var vObj = {
            password: "",
        }
        vObj.password = $("#inp-pass").val();
        $.ajax({
            url: "http://localhost:8080/api/auth/forgotPassword/" + vEmail,
            type: "PUT",
            data: JSON.stringify(vObj),
            dataType: "json",
            contentType: "application/json; charset=utf-8",
            success: function (paramRes) {
                window.location.href = "http://localhost:5500/Login.html";
            },
            error: function (paramErr) {
                alert(paramErr.status);
            }
        })



    }

</script>

</html>